Name: icinga-jira
Version: 1.3.1
Release: 1
Summary: Icinga Web Jira Integration
Group: Productivity/Networking/Web/Frontends

License: GPL-2.0-only

URL: https://icinga.com

Source0: icinga-jira-1.3.1.tgz

Requires: icinga-jira-web = 1.3.1-1

BuildArch: noarch

%description
Integrate Jira issues for problems detected by Icinga.

%package web
Summary: Icinga Jira web files

Requires: icingaweb2 >= 2.10.3
Requires: icinga-php-library >= 0.11.0

%description web
Web files for Icinga Web Jira Integration.

%prep
%autosetup

%install
install -d %_topdir/BUILDROOT/icinga-jira-1.3.1-1.x86_64/usr/share/icingaweb2/modules/jira
cp -prv * %_topdir/BUILDROOT/icinga-jira-1.3.1-1.x86_64/usr/share/icingaweb2/modules/jira

%files

%files web
%doc README.md
%docdir /usr/share/icingaweb2/modules/jira/doc
%license LICENSE
/usr/share/icingaweb2/modules/jira

%post web
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/jira /etc/icingaweb2/enabledModules/jira
fi

%preun web
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/jira
fi

%changelog
* Fri Jun 30 2023 Icinga GmbH <info@icinga.com> - 1.3.1-1$RPM_DIST
- Version 1.3.1-1

